com.jscape.inet.mime

## Class MimeConstants

- java.lang.Object
- - com.jscape.inet.mime.MimeConstants

-     public class MimeConstants
      extends java.lang.Object

  Contains a set of static variables frequently used by MIME related classes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `COLON` Represents byte value for colon.
    `static byte` | `CR` Represents byte value for carriage return.
    `static java.lang.String` | `CRLF` Represents String value for carriage return line feed combination.
    `static byte` | `EQUALS` Represents byte value for equals sign.
    `static byte` | `LF` Represents byte value for line feed.
    `static byte` | `QUESTION_MARK` Represents byte value for question mark.
    `static byte` | `SEMI_COLON` Represents byte value for semi-colon.
    `static byte` | `SPACE` Represents byte value for space.
    `static byte` | `TAB` Represents byte value for tab.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CRLF

          public static final java.lang.String CRLF

      Represents String value for carriage return line feed combination.
      See Also:
        Constant Field Values

    - #### CR

          public static final byte CR

      Represents byte value for carriage return.
      See Also:
        Constant Field Values

    - #### LF

          public static final byte LF

      Represents byte value for line feed.
      See Also:
        Constant Field Values

    - #### TAB

          public static final byte TAB

      Represents byte value for tab.
      See Also:
        Constant Field Values

    - #### SPACE

          public static final byte SPACE

      Represents byte value for space.
      See Also:
        Constant Field Values

    - #### COLON

          public static final byte COLON

      Represents byte value for colon.
      See Also:
        Constant Field Values

    - #### SEMI_COLON

          public static final byte SEMI_COLON

      Represents byte value for semi-colon.
      See Also:
        Constant Field Values

    - #### EQUALS

          public static final byte EQUALS

      Represents byte value for equals sign.
      See Also:
        Constant Field Values

    - #### QUESTION_MARK

          public static final byte QUESTION_MARK

      Represents byte value for question mark.
      See Also:
        Constant Field Values

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved